Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.providers.authorization
Interface DefaultRoleMapperMBean

public interface DefaultRoleMapperMBean
extends weblogic.management.commo.StandardInterface, DeployableRoleMapperMBean, RoleEditorMBean, weblogic.security.providers.authorization.PredicateEditorMBean, ImportMBean, ExportMBean

This MBean represents configuration attributes for the WebLogic Role Mapping provider.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getDescription()` A short description of the WebLogic Role Mapping provider.
`java.lang.String` | `getProviderClassName()` The name of the Java class used to load the WebLogic Role Mapping provider.
`java.lang.String[]` | `getSupportedExportConstraints()` The security roles you want to be exported from this Role Mapping provider's database.
`java.lang.String[]` | `getSupportedExportFormats()` The format of the file to export.
`java.lang.String[]` | `getSupportedImportConstraints()` The security roles that you want to be imported into this Role Mapping provider's database.
`java.lang.String[]` | `getSupportedImportFormats()` The format of the file to import.
`java.lang.String` | `getVersion()` The version number of the WebLogic Role Mapping provider.

Methods inherited from interface weblogic.management.security.authorization.DeployableRoleMapperMBean
`isRoleDeploymentEnabled, setRoleDeploymentEnabled`

Methods inherited from interface weblogic.management.security.authorization.RoleEditorMBean
`createRole, removeRole, setRoleExpression`

Methods inherited from interface weblogic.management.security.ImportMBean
`importData`

Methods inherited from interface weblogic.management.security.ExportMBean
`exportData`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Methods inherited from interface weblogic.management.security.authorization.RoleReaderMBean
`getRoleExpression, listRolesForResource, roleExists`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The name of the Java class used to load the WebLogic Role Mapping provider.

  Default Value: "weblogic.security.providers.authorization.DefaultRoleMapperProviderImpl"
  Legal NULL: true

### getDescription

    public java.lang.String getDescription()

  A short description of the WebLogic Role Mapping provider.

  Default Value: "Weblogic Role Mapping Provider"
  Legal NULL: true

### getVersion

    public java.lang.String getVersion()

  The version number of the WebLogic Role Mapping provider.

  Default Value: "1.0"
  Legal NULL: true

### getSupportedImportFormats

    public java.lang.String[] getSupportedImportFormats()

  The format of the file to import. The list of supported import formats is determined by the Role Mapping provider from which the security roles were originally exported.
  Specified by:
    getSupportedImportFormats in interface ImportMBean

  Default Value: new String[] { "DefaultRoles" }
  Legal NULL: true

### getSupportedImportConstraints

    public java.lang.String[] getSupportedImportConstraints()

  The security roles that you want to be imported into this Role Mapping provider's database. If none are specified, all are imported.
  Specified by:
    getSupportedImportConstraints in interface ImportMBean

  Default Value: new String[0]
  Legal NULL: true

### getSupportedExportFormats

    public java.lang.String[] getSupportedExportFormats()

  The format of the file to export. The list of supported export formats is determined by this Role Mapping provider.
  Specified by:
    getSupportedExportFormats in interface ExportMBean

  Default Value: new String[] { "DefaultRoles" }
  Legal NULL: true

### getSupportedExportConstraints

    public java.lang.String[] getSupportedExportConstraints()

  The security roles you want to be exported from this Role Mapping provider's database. If none are specified, all are exported.
  Specified by:
    getSupportedExportConstraints in interface ExportMBean

  Default Value: new String[0]
  Legal NULL: true

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD